View Issue Details

IDProjectCategoryView StatusLast Update
0002065FreeCADMerge requestpublic2015-12-15 13:18
ReportertriplusAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0002065: DXF Drawing Templates
DescriptionAfter this gets merged this two reports can be closed:

http://www.freecadweb.org/tracker/view.php?id=2043
http://www.freecadweb.org/tracker/view.php?id=2005

- Branded Drawing Templates
- DXF Drawing Templates
- DXF comment support

All the changes needed are included in this report to reduce duplicate work and confusion (merge DXF_Drawing_Templates.zip and importDXF.py).

Quick tutorial:

Adding dimensions:

- Open exported file in LibreCAD.
- Start adding dimensions as correct layer for adding dimensions is pre-selected.

Printing:

- Set PAPERSIZE layer to non printable.
- Press Print Preview button.
- Set Print Scale 1:1 and lock it (fixed).
- Press Center to page.

Drawing is ready to be printed.

Note:

I could not pre-set dimension lineweight AND dimension text lineweight as desired and therefore in for example A4 page size text lineweight should be 0.25 but now is 0.18. This is something the users has to do if desired as it can't be pre-set ATM for LibreCAD.

If any pre-selected value would need changing i am willing to do it in the future.

All DXF drawing templates are saved in DXF R2000 format and have \n for newline.

Cheers.
TagsNo tags attached.

Relationships

parent of 0002005 closedyorik Drawing Branded Drawing Templates 
parent of 0002043 closedyorik Drawing DXF export of Drawing pages (template unopenable) 

Activities

triplus

2015-04-21 15:58

developer  

DXF_Drawing_Templates.zip (Attachment missing)

triplus

2015-04-21 15:58

developer  

importDXF.py (Attachment missing)

yorik

2015-04-21 20:05

administrator   ~0006071

There are templates with same name in your zip file (one with a4 one with A4). Please check which one is the right one

triplus

2015-04-21 20:56

developer   ~0006072

Yes, when i did Branded Drawing Templates set i did "all new" A4_Landscape_ISO7200.svg drawing template and renamed current one to a4_Landscape_ISO7200.svg.

About a4_Landscape_ISO7200.svg:

- It won't show in drop down menu
- Should stay for future reference

Related Changesets

FreeCAD: master bf324049

2015-04-23 00:01:55

yorik

Details Diff
added new set of Drawing templates - fixes 0002065 0002043 0002005 Affected Issues
0002005, 0002043, 0002065
mod - src/Mod/Draft/importDXF.py Diff File
add - src/Mod/Drawing/Templates/A0_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A0_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A0_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A0_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A0_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A0_Portrait_plain.svg Diff File
add - src/Mod/Drawing/Templates/A1_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A1_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A1_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A1_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A1_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A1_Portrait_plain.svg Diff File
add - src/Mod/Drawing/Templates/A2_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A2_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A2_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A2_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A2_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A2_Portrait_plain.svg Diff File
mod - src/Mod/Drawing/Templates/A3_Landscape.dxf Diff File
mod - src/Mod/Drawing/Templates/A3_Landscape.svg Diff File
add - src/Mod/Drawing/Templates/A3_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A3_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A3_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A3_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A3_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A3_Portrait_plain.svg Diff File
mod - src/Mod/Drawing/Templates/A4_Landscape.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Landscape.svg Diff File
add - src/Mod/Drawing/Templates/A4_Landscape_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Landscape_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A4_Landscape_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Landscape_plain.svg Diff File
add - src/Mod/Drawing/Templates/A4_Portrait_ISO7200.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Portrait_ISO7200.svg Diff File
add - src/Mod/Drawing/Templates/A4_Portrait_plain.dxf Diff File
mod - src/Mod/Drawing/Templates/A4_Portrait_plain.svg Diff File

Issue History

Date Modified Username Field Change
2015-04-21 15:55 triplus New Issue
2015-04-21 15:58 triplus File Added: DXF_Drawing_Templates.zip
2015-04-21 15:58 triplus File Added: importDXF.py
2015-04-21 20:01 yorik Relationship added parent of 0002005
2015-04-21 20:01 yorik Relationship added parent of 0002043
2015-04-21 20:01 yorik Assigned To => yorik
2015-04-21 20:01 yorik Status new => assigned
2015-04-21 20:05 yorik Note Added: 0006071
2015-04-21 20:56 triplus Note Added: 0006072
2015-04-22 22:11 yorik Changeset attached => FreeCAD Master master bf324049
2015-04-22 22:11 yorik Status assigned => closed
2015-04-22 22:11 yorik Resolution open => fixed
2015-12-15 13:18 yorik Fixed in Version => 0.16